Std ViewRight/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "Std Vue de droite")
 
No edit summary
 
(36 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{GuiCommand
{{Docnav/fr
|[[Std_ViewTop/fr|Vue de dessus]]
|[[Std_ViewRear/fr|Vue de l'arrière]]
|[[Std_View_Menu/fr|Menu Affichage]]
|IconL=Std_ViewTop.svg
|IconR=Std_ViewRear.svg
|IconC=Freecad.svg
}}

{{GuiCommand/fr
|Name=Std ViewRight
|Name=Std ViewRight
|Name/fr=Std Vue de droite
|MenuLocation=[[Std View Menu|View]] → Standard views → Right
|MenuLocation=Affichage → Vues standards → Droite
|Workbenches=All
|Workbenches=Tous
|Shortcut=3
|Shortcut={{KEY|3}}
|SeeAlso=[[Std_ViewFront|ViewFront]], [[Std_ViewTop|ViewTop]]
|SeeAlso=[[Std_ViewFront/fr|Std Vue de face]], [[Std_ViewTop/fr|Std Vue de dessus]]
}}
}}


==Description==
==Description==


La '''Std Vue de droite''' place la prise de vue dans la [[3D_view/fr|vue 3D]] dans la direction de l'axe des X négatifs.
[[Std_ViewRight|Std ViewRight]] puts the camera in the [[3D view|3D view]] looking from the right, towards the left, in the direction of the negative X axis, {{incode|[-1.0, 0.0, 0.0]}}.


[[File:FreeCAD_views_front.svg]]
[[Image:FreeCAD_views_front.svg]]
{{Caption|The right view sets the camera looking left, in the direction of the negative X axis.}}
{{Caption|La flèche 3 pointe dans le sens de la vue de droite}}


<span id="Usage"></span>
==How to use==
==Utilisation==


# Il existe plusieurs façons de lancer la commande :
* Go to the menu {{MenuCommand|ViewStandard views → [[File:Std_ViewRight.svg|16px]] [[Std_ViewRight|Right]]}}.
* Or press the {{Button|[[File:Std_ViewRight.svg|16px]] [[Std_ViewRight|Right]]}} button.
#* Appuyez sur le bouton {{Button|[[Image:Std_ViewRight.svg|16px]] [[Std_ViewRight/fr|Droite]]}}.
#* Sélectionnez l'option {{MenuCommand|AffichageVues standards → [[Image:Std_ViewRight.svg|16px]] Droite}} du menu.
* Or press {{KEY|3}} in the numerical pad of the keyboard.
#* Sélectionnez l'option {{MenuCommand|Vues standard → [[Image:Std_ViewRight.svg|16px]] Droite}} du menu contextuel de la [[3D_view/fr|vue 3D]].
#* Utilisez le raccourci clavier : {{KEY|3}}.


== Scripting ==
<span id="Scripting"></span>
==Script==


{{Emphasis|Voir aussi :}} [[FreeCAD_Scripting_Basics/fr|FreeCAD Script de base]].
The right view can be set from the [[Python console|Python console]].


Pour changer la vue en "vue de droite", utilisez la méthode {{incode|viewRight}} de l'objet ActiveView. Cette méthode n'est pas disponible si FreeCAD est en mode console.
It is a method of the {{incode|ActiveView}} of the {{incode|ActiveDocument}}. The {{incode|ActiveView}} only exists when the graphical interface is available; it does not exist when FreeCAD is used in purely console mode.


{{Code|code=
{{Code|code=
import FreeCADGui as Gui
import FreeCADGui

Gui.ActiveDocument.ActiveView.viewRight()
FreeCADGui.ActiveDocument.ActiveView.viewRight()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
}}


{{Docnav/fr
Gui.ActiveDocument.ActiveView.getViewDirection()
|[[Std_ViewTop/fr|Vue de dessus]]
|[[Std_ViewRear/fr|Vue de l'arrière]]
|[[Std_View_Menu/fr|Menu Affichage]]
|IconL=Std_ViewTop.svg
|IconR=Std_ViewRear.svg
|IconC=Freecad.svg
}}
}}


{{Std Base}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Latest revision as of 13:11, 13 April 2024

Other languages:

Std Vue de droite

Emplacement du menu
Affichage → Vues standards → Droite
Ateliers
Tous
Raccourci par défaut
3
Introduit dans la version
-
Voir aussi
Std Vue de face, Std Vue de dessus

Description

La Std Vue de droite place la prise de vue dans la vue 3D dans la direction de l'axe des X négatifs.

La flèche 3 pointe dans le sens de la vue de droite

Utilisation

  1. Il existe plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Droite.
    • Sélectionnez l'option Affichage → Vues standards → Droite du menu.
    • Sélectionnez l'option Vues standard → Droite du menu contextuel de la vue 3D.
    • Utilisez le raccourci clavier : 3.

Script

Voir aussi : FreeCAD Script de base.

Pour changer la vue en "vue de droite", utilisez la méthode viewRight de l'objet ActiveView. Cette méthode n'est pas disponible si FreeCAD est en mode console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRight()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()